Developer Documentation

Classes | Signals | Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
SideElement Class Reference

`#include <OpenFlipper/widgets/coreWidget/SideElement.hh>`

Inheritance diagram for SideElement:

## Classes
class | TopArea
| Clickable area inside of the side element. More...

## Signals
void | toggleActive (bool)

## Public Member Functions
| SideElement (SideArea *_parent, QWidget *_w, QString _name, QIcon *_icon, QWidget *_headerAreaWidget)
| ~SideElement ()
| Destructor.
void | setActive (bool _active)
| Set the element as active.
void | saveState (QSettings &_settings)
| saves the current state
void | restoreState (QSettings &_settings)
| restores the state
const QString & | name ()
| return the name
bool | active ()
| returns if the SideElement is active
QWidget const * | widget ()
| returns the pointer to the plugin tool widget

## Private Slots
void | detachPressed (bool _checked)
| Called if the detach button was pressed.
void | dialogClosed ()
| Called if a detached dialog was closed.

## Private Member Functions
void | labelPress ()
| Called on mouse press.

## Private Attributes
SideArea * | parent_
QWidget * | widget_
QWidget * | headerAreaWidget_
QString | name_
QIcon * | icon_
QVBoxLayout * | mainLayout_
bool | active_
QLabel * | label_
QLabel * | iconHolder_
QToolButton * | detachButton_
QAction * | detachAction_
QDialog * | dialog_

## Detailed Description

A widget that holds the plugin side area widget

Definition at line 79 of file SideElement.hh.

## Constructor & Destructor Documentation

## ◆ SideElement()

SideElement::SideElement | ( | SideArea * | _parent,
|  | QWidget * | _w,
|  | QString | _name,
|  | QIcon * | _icon,
|  | QWidget * | _headerAreaWidget
| ) |  |

Create a SideElement

Parameters

  _parent | SideArea widget that holds this widget
  _w | Plugin tool widget
  _name | Plugin name
  _icon | An icon that should be shown in the title bar of the side element

Definition at line 61 of file SideElement.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/widgets/coreWidget/SideElement.hh
- OpenFlipper/widgets/coreWidget/SideElement.cc